Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 14024

Description

v.kernel send a error message like:

"Impossible de démarer le module qgis.v.kernel.rast.py <http://qgis.v.kernel.rast.py> commande :

/usr/share/qgis/grass/scripts//qgis.v.kernel.rast.py <http://qgis.v.kernel.rast.py> --interface-description" 

History

#1 - 2011-07-04 11:33 AM - Didier Genier

To correct this bug I have modified the file /usr/share/grass/modules/v.kernel.qgm and changer module="qgis.v.kernel.rast.py" in module="v.kernel".

That's work.

Bests regards.

Didier

#2 - 2011-07-05 09:36 AM - Paolo Cavallini

We have the same problem for all other .py GRASS scripts. They call --interface description, which is not available for the script (but it is for underlying

GRASS module).

#3 - 2011-07-10 08:15 AM - Radim Blazek

Which version of GRASS?

What happens if you run from GRASS shell (GRASS pure shell, not the shell in QGIS) the command: 

your-path-where-qgis-is-installed/share/qgis/grass/scripts/qgis.v.kernel.rast.py --interface-description

For me it works with GRASS 6.4.0

#4 - 2011-07-10 11:33 PM - Paolo Cavallini

With GRASS 6.4.1-1 from Debian sid it does not work, both with v.kernel and for db.connect-login.pg.py

#5 - 2011-07-10 11:51 PM - Radim Blazek
For me 

qgis.v.kernel.rast.py --interface-description

works in GRASS shell 6.4.1 compiled from source.

What output you get in GRASS shell?

#6 - 2011-07-11 12:04 AM - Paolo Cavallini

The output form the shell is ok:

$ qgis.v.kernel.rast.py --interface-description

<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE task SYSTEM "grass-interface.dtd">

<task name="qgis.v.kernel.rast.py">

        <description>

                Generates a raster density map from vector points data using a moving 2D isotropic Gaussian kernel.

        </description>

        <keywords>

                vector, export, database

        </keywords>

        <parameter name="input" type="string" required="yes" multiple="no">

                <description>

                        Inserisci il vettore con i punti di controllo

                </description>

                <keydesc>

                        <item order="1">name</item>

                </keydesc>

                <gisprompt age="old" element="vector" prompt="vector" />

        </parameter>

        <parameter name="stddeviation" type="float" required="yes" multiple="no">

                <description>

                        Standard deviation in map units

                </description>

        </parameter>

        <parameter name="output" type="string" required="yes" multiple="no">

                <description>

                        Output raster map

                </description>

                <keydesc>

                        <item order="1">name</item>

                </keydesc>

                <gisprompt age="new" element="cell" prompt="raster" />

        </parameter>

        <flag name="overwrite">

                <description>

                        Permetti al file di output di sovrascrivere file esistenti

                </description>

        </flag>

        <flag name="verbose">

                <description>

                        Verbose module output

                </description>

        </flag>
        <flag name="quiet">

                <description>

                        Quiet module output

                </description>

        </flag>

</task>

#7 - 2011-08-29 10:35 PM - Paolo Cavallini

- Category set to GRASS

- Pull Request or Patch supplied set to No

#8 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#9 - 2012-04-16 06:28 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#10 - 2012-09-04 11:59 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#11 - 2013-07-20 08:50 AM - Daniel Vaz

Can provide some feedback if it still occurs?

Thanks in advance.

#12 - 2013-07-20 08:58 AM - Jürgen Fischer

- Status changed from Open to Feedback

#13 - 2013-07-30 01:11 AM - Didier Genier

- Status changed from Feedback to Closed

Works fine ! Thank you.

#14 - 2013-07-30 01:13 AM - Giovanni Manghi

- Resolution set to worksforme
